| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPoolEvent Class Reference

This class is a system event designed for the pool system. More...

`#include <csutil/csevent.h>`

Inheritance diagram for csPoolEvent:

[legend]
List of all members.

## Public Member Functions
| csPoolEvent (csEventQueue *q)
| The constructor; should only be called from within csEventQueue.
virtual void | DecRef ()
| Places the event back into the pool if this is the last reference.
## Friends
class | csEvent
class | csEventQueue

## Detailed Description

This class is a system event designed for the pool system.

Due to the possibilities of networking traffic and other assorted events traversing the event system, a more efficient method of event creation was needed. Thus, the event pool was born, and there are the events that reside within it.

Definition at line 308 of file csevent.h.

## Constructor & Destructor Documentation

csPoolEvent::csPoolEvent | ( | csEventQueue * | q | ) |

The constructor; should only be called from within csEventQueue.

## Member Function Documentation

virtual void csPoolEvent::DecRef | ( |  | ) | `[virtual]`

Places the event back into the pool if this is the last reference.

Reimplemented from scfImplementation< csEvent >.

The documentation for this class was generated from the following file:

- csutil/csevent.h